Bug 1117588 (CVE-2014-4671) - CVE-2014-4671 flash-plugin: vulnerable JSONP callback APIs issue (APSB14-17)
Summary: CVE-2014-4671 flash-plugin: vulnerable JSONP callback APIs issue (APSB14-17)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-4671
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1117590 1117593 1117596 1117598
Blocks: 1117589
TreeView+ depends on / blocked
 
Reported: 2014-07-09 03:19 UTC by Murray McAllister
Modified: 2019-09-29 13:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found that would lead to Cross-Site Request Forgery (CSRF) attacks.
Clone Of:
Environment:
Last Closed: 2014-07-10 04:26:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0860 normal SHIPPED_LIVE Critical: flash-plugin security update 2014-07-09 15:11:07 UTC

Description Murray McAllister 2014-07-09 03:19:28 UTC
Adobe has released Flash Player 11.2.202.394 for Linux to correct the following flaws:

These updates include additional validation checks to ensure that Flash Player rejects malicious content from vulnerable JSONP callback APIs (CVE-2014-4671).

External References:

http://helpx.adobe.com/security/products/flash-player/apsb14-17.html

Comment 2 Martin Prpič 2014-07-09 07:33:49 UTC
IssueDescription:

A flaw was found that would lead to Cross-Site Request Forgery (CSRF) attacks.

Comment 3 errata-xmlrpc 2014-07-09 11:11:22 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0860 https://rhn.redhat.com/errata/RHSA-2014-0860.html


Note You need to log in before you can comment on or make changes to this bug.